'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SequelizeModel = exports.postgresAddIndex = exports.postgresCreateTable = exports.createTable = exports.sequelizeLiteral = exports.sequelizeCol = exports.sequelizeWhere = exports.sequelizeFn = exports.DataTypes = undefined;

var _sequelize = require('sequelize');

var _model = require('./plugins/db/model');

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _modules = require('./modules');

var modules = _interopRequireWildcard(_modules);

var _thread = require('./thread');

var _thread2 = _interopRequireDefault(_thread);

var _thread3 = require('./thread/thread');

var _thread4 = _interopRequireDefault(_thread3);

var _object = require('./util/object');

var object = _interopRequireWildcard(_object);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.DataTypes = _sequelize.DataTypes;
exports.sequelizeFn = _sequelize.fn;
exports.sequelizeWhere = _sequelize.where;
exports.sequelizeCol = _sequelize.col;
exports.sequelizeLiteral = _sequelize.literal;
exports.createTable = _model.createTable;
exports.postgresCreateTable = _model.postgresCreateTable;
exports.postgresAddIndex = _model.postgresAddIndex;
exports.SequelizeModel = _model.SequelizeModel;


function trataParam(param) {
  if (param.includes('action:')) {
    let array = param.split('action:');
    return array[1];
  }
}

function verificaArgs() {
  let action = 'all';
  if (process.argv.length > 2) {
    process.argv.forEach((param, indice) => {
      if (indice >= 2) action = trataParam(param);
    });
  }
  return action;
}

exports.default = async function (options = {}) {
  try {
    const context = {
      action: verificaArgs(),
      config: object.merge({}, _config2.default, options.config || {})
    };
    context.modules = options.modules || {};
    // Pega Objetos em Módulos
    let objects = await modules.getObjects(context);
    // Acoes
    let acoes = {
      updateDB: async () => {
        // Threads
        await modules.updateDB();
        process.exit();
      },
      startService: () => {
        // Threads
        context.thread = (0, _thread2.default)(objects, options);
        modules.initServices(objects);
      },
      startRest: () => {
        // Threads
        context.thread = (0, _thread2.default)(objects, options);
        modules.initRest(objects);
      },
      startRestAndService: () => {
        // Threads
        context.thread = (0, _thread2.default)(objects, options);
        modules.initRestAndService(objects);
      }
    };

    switch (context.action) {
      case 'db':
        await acoes.updateDB();
        break;
      case 'service':
        await acoes.startService();
        console.log('-- Services Rodando');
        break;
      case 'rest':
        await acoes.startRest();
        break;
      case 'all':
        await acoes.startRestAndService();
        break;
      default:
        (0, _thread4.default)(context, objects.mixins);
        break;
    }
  } catch (e) {
    console.log(e);
    throw e;
  }
};
//# sourceMappingURL=index.js.map