'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (objects, options) {
  // Objetos
  let mixins = objects.mixins;
  let context = objects.context;

  // Cria processos
  let all = {};

  if (context.config.process === 'multiple') {
    if (options.process && options.process.length > 0) {
      options.process.forEach(proc => {
        if (proc !== context.action) {
          all[proc] = (0, _child_process.fork)(_path2.default.resolve(context.config.dirname, context.config.main), [`action:${proc}`]);
        }
      });
    }
  }

  function executaProcesso(processo, module, mixin, params) {
    return new Promise((resolve, reject) => {
      processo.send({ module, mixin, params });
      processo.on('message', ({ error, data }) => {
        if (error) return reject(data);else return resolve(data);
      });
    });
  }

  return async function (name, module, mixin, ...params) {
    if (module && mixin) {
      if (mixins[module] && mixins[module][mixin]) {
        if (all[name]) return executaProcesso(all[name], module, mixin, params);else return mixins[module][mixin](...params);
      } else throw new Error('Metodo não encontrado!');
    } else throw new Error('Metodo não encontrado!');
  };
};

var _child_process = require('child_process');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
//# sourceMappingURL=index.js.map