'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.errorMessage = errorMessage;
exports.trataResponse = trataResponse;
exports.getClientInfo = getClientInfo;

var _uaParserJs = require('ua-parser-js');

var _uaParserJs2 = _interopRequireDefault(_uaParserJs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function errorMessage(err) {
  return { message: err.message };
}

function trataResponse(res, prom) {
  prom.then(result => {
    res.status(200).json(result);
  }).catch(err => {
    res.status(500).json(errorMessage(err));
  });
}

function getClientInfo(req) {
  let { browser, engine, os, device } = (0, _uaParserJs2.default)(req.headers['user-agent']);
  let ip = (req.headers['x-forwarded-for'] || '').split(',')[0] || req.connection.remoteAddress;
  device = device.model || 'Desktop';

  return {
    device,
    ip,
    browser_name: browser.name,
    browser_version: browser.version,
    engine_name: engine.name,
    engine_version: engine.version,
    os_name: os.name,
    os_version: os.version
  };
}
//# sourceMappingURL=request.js.map